PLplot: nnai.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Functions
nnai.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <math.h>`
`#include "nn.h"`
`#include "delaunay.h"`
`#include "nan.h"`

Go to the source code of this file.

## Classes
struct | nn_weights
struct | nnai

## Functions
void | nn_quit (const char *format,...)
void | nnpi_calculate_weights (nnpi *nn)
int | nnpi_get_nvertices (nnpi *nn)
int * | nnpi_get_vertices (nnpi *nn)
double * | nnpi_get_weights (nnpi *nn)
void | nnpi_normalize_weights (nnpi *nn)
void | nnpi_reset (nnpi *nn)
void | nnpi_set_point (nnpi *nn, point *p)
nnai * | nnai_build (delaunay *d, int n, double *x, double *y)
void | nnai_destroy (nnai *nn)
void | nnai_interpolate (nnai *nn, double *zin, double *zout)
void | nnai_setwmin (nnai *nn, double wmin)

## Function Documentation

void nn_quit | ( | const char * | format,
|  |  | ...
| ) |  |

Definition at line 53 of file nncommon.c.

nnai* nnai_build | ( | delaunay * | d,
|  | int | n,
|  | double * | x,
|  | double * | y
| ) |  |

Definition at line 64 of file nnai.c.

void nnai_destroy | ( | nnai * | nn | ) |

Definition at line 115 of file nnai.c.

void nnai_interpolate | ( | nnai * | nn,
|  | double * | zin,
|  | double * | zout
| ) |  |

Definition at line 141 of file nnai.c.

void nnai_setwmin | ( | nnai * | nn,
|  | double | wmin
| ) |  |

Definition at line 171 of file nnai.c.

void nnpi_calculate_weights | ( | nnpi * | nn | ) |

Definition at line 259 of file nnpi.c.

int nnpi_get_nvertices | ( | nnpi * | nn | ) |

Definition at line 429 of file nnpi.c.

int * nnpi_get_vertices | ( | nnpi * | nn | ) |

Definition at line 437 of file nnpi.c.

double * nnpi_get_weights | ( | nnpi * | nn | ) |

Definition at line 445 of file nnpi.c.

void nnpi_normalize_weights | ( | nnpi * | nn | ) |

Definition at line 279 of file nnpi.c.

void nnpi_reset | ( | nnpi * | nn | ) |

Definition at line 122 of file nnpi.c.

void nnpi_set_point | ( | nnpi * | nn,
|  | point * | p
| ) |  |

Definition at line 421 of file nnpi.c.